/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
import { Brush } from "igniteui-react-core/ES5/Brush";
/**
 * @hidden
 */
var FullStochasticOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(FullStochasticOscillatorIndicator, _super);
    function FullStochasticOscillatorIndicator() {
        var _this = _super.call(this) || this;
        _this.trendLineBrush = ((function () {
            var $ret = new Brush();
            $ret.fill = "#565656";
            return $ret;
        })());
        _this.trendLineType = 10;
        _this.trendLinePeriod = 3;
        return _this;
    }
    FullStochasticOscillatorIndicator.prototype.get_p5 = function () {
        return new FullStochasticOscillatorIndicatorStrategy();
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "p5", {
        get: function () {
            return this.get_p5();
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.get_qi = function () {
        return FullStochasticOscillatorIndicator.$;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qi", {
        get: function () {
            return this.get_qi();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qq", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qv));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qv, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.qb = function () {
        return this.qq;
    };
    FullStochasticOscillatorIndicator.prototype.qk = function (a) {
        this.qq = a;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "smoothingPeriod", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qw));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qw, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.qd = function () {
        return this.smoothingPeriod;
    };
    Object.defineProperty(FullStochasticOscillatorIndicator.prototype, "qs", {
        get: function () {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.qx));
        },
        set: function (a) {
            this.h(FullStochasticOscillatorIndicator.qx, a);
        },
        enumerable: true,
        configurable: true
    });
    FullStochasticOscillatorIndicator.prototype.qa = function () {
        return this.qs;
    };
    FullStochasticOscillatorIndicator.prototype.pl = function () {
        return this.qs;
    };
    FullStochasticOscillatorIndicator.$t = markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FullStochasticOscillatorIndicator.qv = StrategyBasedIndicator.qn(14, FullStochasticOscillatorIndicator.$);
    FullStochasticOscillatorIndicator.qw = StrategyBasedIndicator.qo(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
    FullStochasticOscillatorIndicator.qx = StrategyBasedIndicator.qo(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
    return FullStochasticOscillatorIndicator;
}(StrategyBasedIndicator));
export { FullStochasticOscillatorIndicator };
